Subject: Re: [Bitcoin-development] working with the blockchain: transaction fees & sum(inputs) != sum(outputs) (newbie questions)

From: Denis Andrejew <[email-masked]>
Date: Fri, 14 Feb 2014 21:56:56 +0100

Thanks Wladimir, perfect info!

Mark, sounds good. But most likely this DB is keeping this information only
for the current state of the blockchain and what I need really is to be
able to get the unspent outputs (and calculate the balance for all
addresses) for any particular block I happen to be interested in :)

- Denis

"Be the change you want to see in the world." (Mahatma Gandhi)

On Fri, Feb 14, 2014 at 5:42 PM, Mark Friedenbach <[email-masked]> wrote:

> On 02/14/2014 04:20 AM, Denis Andrejew wrote:
> > What I'm trying to do is read the blockchain in order to find all
> > unspent outputs. I'm using bitcoind via rpc as my source of
> > information about the blockchain.
>
> By the way, bitcoind keeps this information in a special LevelDB
> database in the chainstate directory. It would be rather simple to
> iterate over the database for the list of al unspent outputs.
>